"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.lint = void 0;
const chalk_1 = __importDefault(require("chalk"));
const pdffonts_1 = require("../pdffonts");
const inspectPDF_1 = require("../inspectPDF");
const util_1 = require("../util");
async function lint(args) {
    if (typeof args.input !== 'string') {
        throw new Error('Invalid input');
    }
    const info = await pdffonts_1.pdfInfo(args.input);
    util_1.log(`Linting metadata for '${args.input}'`);
    util_1.log(chalk_1.default.gray('Title'), info.Title);
    util_1.log(chalk_1.default.gray('Page No.'), info.Pages);
    util_1.log(chalk_1.default.gray('PDF version'), info['PDF version']);
    util_1.log(chalk_1.default.gray('TrimBox'), Object.values(info.TrimBox));
    util_1.log(chalk_1.default.gray('BleedBox'), Object.values(info.BleedBox));
    util_1.log('Listing fonts');
    await inspectPDF_1.inspectPDF(args.input);
}
exports.lint = lint;
